org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class WhereTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.WhereTest

- Direct Known Subclasses:
    WhereTest.Traversals

      public abstract class WhereTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WhereTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WhereTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_asXaX_out_asXbX_whereXandXasXaX_outXknowsX_asXbX__orXasXbX_outXcreatedX_hasXname_rippleX__asXbX_inXknowsX_count_isXnotXeqX0XXXXX_selectXa_bX()`
    `void` | `g_V_asXaX_out_asXbX_whereXin_count_isXeqX3XX_or_whereXoutXcreatedX_and_hasXlabel_personXXX_selectXa_bX()`
    `void` | `g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_inXcreatedX_asXdX_whereXa_ltXbX_orXgtXcXX_andXneqXdXXX_byXageX_byXweightX_byXinXcreatedX_valuesXageX_minX_selectXa_c_dX()`
    `void` | `g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_whereXa_gtXbX_orXeqXbXXX_byXageX_byXweightX_byXweightX_selectXa_cX_byXnameX()`
    `void` | `g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_bothXknowsX_bothXknowsX_asXdX_whereXc__notXeqXaX_orXeqXdXXXX_selectXa_b_c_dX()`
    `void` | `g_V_asXaX_outXcreatedX_asXbX_whereXandXasXbX_in__notXasXaX_outXcreatedX_hasXname_rippleXXX_selectXa_bX()`
    `void` | `g_V_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_gtXbXX_byXageX_selectXa_bX_byXnameX()`
    `void` | `g_V_asXaX_outXcreatedX_whereXasXaX_name_isXjoshXX_inXcreatedX_name()`
    `void` | `g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_eqXbXX()`
    `void` | `g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_neqXbXX()`
    `void` | `g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_outXknowsX_bX()`
    `void` | `g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXb_hasXname_markoXX()`
    `void` | `g_V_whereXnotXoutXcreatedXXX_name()`
    `void` | `g_V_whereXoutXcreatedX_and_outXknowsX_or_inXknowsXX_valuesXnameX()`
    `void` | `g_VX1X_asXaX_out_hasXageX_whereXgtXaXX_byXageX_name()`
    `void` | `g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_neqXbXX_name()`
    `void` | `g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXasXbX_outXcreatedX_hasXname_rippleXX_valuesXage_nameX()`
    `void` | `g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXeqXaXX_name()`
    `void` | `g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_name()`
    `void` | `g_VX1X_out_aggregateXxX_out_whereXnotXwithinXaXXX()`
    `void` | `g_VX1X_repeatXbothEXcreatedX_whereXwithoutXeXX_aggregateXeX_otherVX_emit_path()`
    `void` | `g_VX3X_asXaX_in_out_asXbX_whereXa_eqXbXX_byXageX_name()`
    `void` | `g_withSideEffectXa_g_VX2XX_VX1X_out_whereXneqXaXX()`
    `void` | `g_withSideEffectXa_josh_peterX_VX1X_outXcreatedX_inXcreatedX_name_whereXwithinXaXX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_asXaX_out_asXbX_whereXandXasXaX_outXknowsX_asXbX__orXasXbX_outXcreatedX_hasXname_rippleX__asXbX_inXknowsX_count_isXnotXeqX0XXXXX_selectXa_bX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_asXaX_out_asXbX_whereXin_count_isXeqX3XX_or_whereXoutXcreatedX_and_hasXlabel_personXXX_selectXa_bX()`
    `abstract Traversal<Vertex,Map<String,String>>` | `get_g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_inXcreatedX_asXdX_whereXa_ltXbX_orXgtXcXX_andXneqXdXXX_byXageX_byXweightX_byXinXcreatedX_valuesXageX_minX_selectXa_c_dX()`
    `abstract Traversal<Vertex,Map<String,String>>` | `get_g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_whereXa_gtXbX_orXeqXbXXX_byXageX_byXweightX_byXweightX_selectXa_cX_byXnameX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_bothXknowsX_bothXknowsX_asXdX_whereXc__notXeqXaX_orXeqXdXXXX_selectXa_b_c_dX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_asXaX_outXcreatedX_asXbX_whereXandXasXbX_in__notXasXaX_outXcreatedX_hasXname_rippleXXX_selectXa_bX()`
    `abstract Traversal<Vertex,Map<String,String>>` | `get_g_V_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_gtXbXX_byXageX_selectXa_bX_byXnameX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_asXaX_outXcreatedX_whereXasXaX_name_isXjoshXX_inXcreatedX_name()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_eqXbXX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_neqXbXX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_outXknowsX_bX()`
    `abstract Traversal<Vertex,Map<String,Object>>` | `get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXb_hasXname_markoXX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_whereXnotXoutXcreatedXXX_name()`
    `abstract Traversal<Vertex,String>` | `get_g_V_whereXoutXcreatedX_and_outXknowsX_or_inXknowsXX_valuesXnameX()`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_asXaX_out_hasXageX_whereXgtXaXX_byXageX_name(Object v1Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_neqXbXX_name(Object v1Id)`
    `abstract Traversal<Vertex,Object>` | `get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXasXbX_outXcreatedX_hasXname_rippleXX_valuesXage_nameX(Object v1Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXeqXaXX_name(Object v1Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_name(Object v1Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX1X_out_aggregateXxX_out_whereXnotXwithinXaXXX(Object v1Id)`
    `abstract Traversal<Vertex,Path>` | `get_g_VX1X_repeatXbothEXcreatedX_whereXwithoutXeXX_aggregateXeX_otherVX_emit_path(Object v1Id)`
    `abstract Traversal<Vertex,String>` | `get_g_VX3X_asXaX_in_out_asXbX_whereXa_eqXbXX_byXageX_name(Object v3Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_withSideEffectXa_graph_verticesX2XX_VX1X_out_whereXneqXaXX(Object v1Id, Object v2Id)`
    `abstract Traversal<Vertex,String>` | `get_g_withSideEffectXa_josh_peterX_VX1X_outXcreatedX_inXcreatedX_name_whereXwithinXaXX(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WhereTest

          public WhereTest()

  - ### Method Detail

    - #### get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_eqXbXX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_eqXbXX()

    - #### get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_neqXbXX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_neqXbXX()

    - #### get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXb_hasXname_markoXX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXb_hasXname_markoXX()

    - #### get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_outXknowsX_bX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_outXknowsX_bX()

    - #### get_g_V_asXaX_outXcreatedX_whereXasXaX_name_isXjoshXX_inXcreatedX_name

          public abstract Traversal<Vertex,String> get_g_V_asXaX_outXcreatedX_whereXasXaX_name_isXjoshXX_inXcreatedX_name()

    - #### get_g_withSideEffectXa_josh_peterX_VX1X_outXcreatedX_inXcreatedX_name_whereXwithinXaXX

          public abstract Traversal<Vertex,String> get_g_withSideEffectXa_josh_peterX_VX1X_outXcreatedX_inXcreatedX_name_whereXwithinXaXX(Object v1Id)

    - #### get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_neqXbXX_name

          public abstract Traversal<Vertex,String> get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_neqXbXX_name(Object v1Id)

    - #### get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXasXbX_outXcreatedX_hasXname_rippleXX_valuesXage_nameX

          public abstract Traversal<Vertex,Object> get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXasXbX_outXcreatedX_hasXname_rippleXX_valuesXage_nameX(Object v1Id)

    - #### get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXeqXaXX_name

          public abstract Traversal<Vertex,String> get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXeqXaXX_name(Object v1Id)

    - #### get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_name

          public abstract Traversal<Vertex,String> get_g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_name(Object v1Id)

    - #### get_g_VX1X_out_aggregateXxX_out_whereXnotXwithinXaXXX

          public abstract Traversal<Vertex,Vertex> get_g_VX1X_out_aggregateXxX_out_whereXnotXwithinXaXXX(Object v1Id)

    - #### get_g_withSideEffectXa_graph_verticesX2XX_VX1X_out_whereXneqXaXX

          public abstract Traversal<Vertex,Vertex> get_g_withSideEffectXa_graph_verticesX2XX_VX1X_out_whereXneqXaXX(Object v1Id,
                                                                                                                    Object v2Id)

    - #### get_g_VX1X_repeatXbothEXcreatedX_whereXwithoutXeXX_aggregateXeX_otherVX_emit_path

          public abstract Traversal<Vertex,Path> get_g_VX1X_repeatXbothEXcreatedX_whereXwithoutXeXX_aggregateXeX_otherVX_emit_path(Object v1Id)

    - #### get_g_V_whereXnotXoutXcreatedXXX_name

          public abstract Traversal<Vertex,String> get_g_V_whereXnotXoutXcreatedXXX_name()

    - #### get_g_V_asXaX_out_asXbX_whereXandXasXaX_outXknowsX_asXbX__orXasXbX_outXcreatedX_hasXname_rippleX__asXbX_inXknowsX_count_isXnotXeqX0XXXXX_selectXa_bX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_asXaX_out_asXbX_whereXandXasXaX_outXknowsX_asXbX__orXasXbX_outXcreatedX_hasXname_rippleX__asXbX_inXknowsX_count_isXnotXeqX0XXXXX_selectXa_bX()

    - #### get_g_V_whereXoutXcreatedX_and_outXknowsX_or_inXknowsXX_valuesXnameX

          public abstract Traversal<Vertex,String> get_g_V_whereXoutXcreatedX_and_outXknowsX_or_inXknowsXX_valuesXnameX()

    - #### get_g_V_asXaX_outXcreatedX_asXbX_whereXandXasXbX_in__notXasXaX_outXcreatedX_hasXname_rippleXXX_selectXa_bX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_asXaX_outXcreatedX_asXbX_whereXandXasXbX_in__notXasXaX_outXcreatedX_hasXname_rippleXXX_selectXa_bX()

    - #### get_g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_bothXknowsX_bothXknowsX_asXdX_whereXc__notXeqXaX_orXeqXdXXXX_selectXa_b_c_dX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_bothXknowsX_bothXknowsX_asXdX_whereXc__notXeqXaX_orXeqXdXXXX_selectXa_b_c_dX()

    - #### get_g_V_asXaX_out_asXbX_whereXin_count_isXeqX3XX_or_whereXoutXcreatedX_and_hasXlabel_personXXX_selectXa_bX

          public abstract Traversal<Vertex,Map<String,Object>> get_g_V_asXaX_out_asXbX_whereXin_count_isXeqX3XX_or_whereXoutXcreatedX_and_hasXlabel_personXXX_selectXa_bX()

    - #### get_g_V_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_gtXbXX_byXageX_selectXa_bX_byXnameX

          public abstract Traversal<Vertex,Map<String,String>> get_g_V_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_gtXbXX_byXageX_selectXa_bX_byXnameX()

    - #### get_g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_whereXa_gtXbX_orXeqXbXXX_byXageX_byXweightX_byXweightX_selectXa_cX_byXnameX

          public abstract Traversal<Vertex,Map<String,String>> get_g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_whereXa_gtXbX_orXeqXbXXX_byXageX_byXweightX_byXweightX_selectXa_cX_byXnameX()

    - #### get_g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_inXcreatedX_asXdX_whereXa_ltXbX_orXgtXcXX_andXneqXdXXX_byXageX_byXweightX_byXinXcreatedX_valuesXageX_minX_selectXa_c_dX

          public abstract Traversal<Vertex,Map<String,String>> get_g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_inXcreatedX_asXdX_whereXa_ltXbX_orXgtXcXX_andXneqXdXXX_byXageX_byXweightX_byXinXcreatedX_valuesXageX_minX_selectXa_c_dX()

    - #### get_g_VX1X_asXaX_out_hasXageX_whereXgtXaXX_byXageX_name

          public abstract Traversal<Vertex,String> get_g_VX1X_asXaX_out_hasXageX_whereXgtXaXX_byXageX_name(Object v1Id)

    - #### get_g_VX3X_asXaX_in_out_asXbX_whereXa_eqXbXX_byXageX_name

          public abstract Traversal<Vertex,String> get_g_VX3X_asXaX_in_out_asXbX_whereXa_eqXbXX_byXageX_name(Object v3Id)

    - #### g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_eqXbXX

          public void g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_eqXbXX()

    - #### g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_neqXbXX

          public void g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_neqXbXX()

    - #### g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXb_hasXname_markoXX

          public void g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXb_hasXname_markoXX()

    - #### g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_outXknowsX_bX

          public void g_V_hasXageX_asXaX_out_in_hasXageX_asXbX_selectXa_bX_whereXa_outXknowsX_bX()

    - #### g_V_asXaX_outXcreatedX_whereXasXaX_name_isXjoshXX_inXcreatedX_name

          public void g_V_asXaX_outXcreatedX_whereXasXaX_name_isXjoshXX_inXcreatedX_name()

    - #### g_withSideEffectXa_josh_peterX_VX1X_outXcreatedX_inXcreatedX_name_whereXwithinXaXX

          public void g_withSideEffectXa_josh_peterX_VX1X_outXcreatedX_inXcreatedX_name_whereXwithinXaXX()

    - #### g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_neqXbXX_name

          public void g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_neqXbXX_name()

    - #### g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXasXbX_outXcreatedX_hasXname_rippleXX_valuesXage_nameX

          public void g_VX1X_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXasXbX_outXcreatedX_hasXname_rippleXX_valuesXage_nameX()

    - #### g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXeqXaXX_name

          public void g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXeqXaXX_name()

    - #### g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_name

          public void g_VX1X_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_name()

    - #### g_VX1X_out_aggregateXxX_out_whereXnotXwithinXaXXX

          public void g_VX1X_out_aggregateXxX_out_whereXnotXwithinXaXXX()

    - #### g_withSideEffectXa_g_VX2XX_VX1X_out_whereXneqXaXX

          public void g_withSideEffectXa_g_VX2XX_VX1X_out_whereXneqXaXX()

    - #### g_VX1X_repeatXbothEXcreatedX_whereXwithoutXeXX_aggregateXeX_otherVX_emit_path

          public void g_VX1X_repeatXbothEXcreatedX_whereXwithoutXeXX_aggregateXeX_otherVX_emit_path()

    - #### g_V_whereXnotXoutXcreatedXXX_name

          public void g_V_whereXnotXoutXcreatedXXX_name()

    - #### g_V_asXaX_out_asXbX_whereXandXasXaX_outXknowsX_asXbX__orXasXbX_outXcreatedX_hasXname_rippleX__asXbX_inXknowsX_count_isXnotXeqX0XXXXX_selectXa_bX

          public void g_V_asXaX_out_asXbX_whereXandXasXaX_outXknowsX_asXbX__orXasXbX_outXcreatedX_hasXname_rippleX__asXbX_inXknowsX_count_isXnotXeqX0XXXXX_selectXa_bX()

    - #### g_V_whereXoutXcreatedX_and_outXknowsX_or_inXknowsXX_valuesXnameX

          public void g_V_whereXoutXcreatedX_and_outXknowsX_or_inXknowsXX_valuesXnameX()

    - #### g_V_asXaX_outXcreatedX_asXbX_whereXandXasXbX_in__notXasXaX_outXcreatedX_hasXname_rippleXXX_selectXa_bX

          public void g_V_asXaX_outXcreatedX_asXbX_whereXandXasXbX_in__notXasXaX_outXcreatedX_hasXname_rippleXXX_selectXa_bX()

    - #### g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_bothXknowsX_bothXknowsX_asXdX_whereXc__notXeqXaX_orXeqXdXXXX_selectXa_b_c_dX

          public void g_V_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_bothXknowsX_bothXknowsX_asXdX_whereXc__notXeqXaX_orXeqXdXXXX_selectXa_b_c_dX()

    - #### g_V_asXaX_out_asXbX_whereXin_count_isXeqX3XX_or_whereXoutXcreatedX_and_hasXlabel_personXXX_selectXa_bX

          public void g_V_asXaX_out_asXbX_whereXin_count_isXeqX3XX_or_whereXoutXcreatedX_and_hasXlabel_personXXX_selectXa_bX()

    - #### g_V_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_gtXbXX_byXageX_selectXa_bX_byXnameX

          public void g_V_asXaX_outXcreatedX_inXcreatedX_asXbX_whereXa_gtXbXX_byXageX_selectXa_bX_byXnameX()

    - #### g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_whereXa_gtXbX_orXeqXbXXX_byXageX_byXweightX_byXweightX_selectXa_cX_byXnameX

          public void g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_whereXa_gtXbX_orXeqXbXXX_byXageX_byXweightX_byXweightX_selectXa_cX_byXnameX()

    - #### g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_inXcreatedX_asXdX_whereXa_ltXbX_orXgtXcXX_andXneqXdXXX_byXageX_byXweightX_byXinXcreatedX_valuesXageX_minX_selectXa_c_dX

          public void g_V_asXaX_outEXcreatedX_asXbX_inV_asXcX_inXcreatedX_asXdX_whereXa_ltXbX_orXgtXcXX_andXneqXdXXX_byXageX_byXweightX_byXinXcreatedX_valuesXageX_minX_selectXa_c_dX()

    - #### g_VX1X_asXaX_out_hasXageX_whereXgtXaXX_byXageX_name

          public void g_VX1X_asXaX_out_hasXageX_whereXgtXaXX_byXageX_name()

    - #### g_VX3X_asXaX_in_out_asXbX_whereXa_eqXbXX_byXageX_name

          public void g_VX3X_asXaX_in_out_asXbX_whereXa_eqXbXX_byXageX_name()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.